Subject: [alpine-devel] New aport: testing/tartarus

From: "Leslie P. Polzer | PORT ZERO" <[email-masked]>
Date: Thu, 31 Oct 2013 11:31:03 +0100

Attached is a new aport commit for packaging the Tartarus backup system.

Do take a look at the post-install file and let me know if that is
the desired way of letting the installing user know of optional deps.

Package granularity could be improved by having a separate subpackage
for the included non-essential Charon helper utility (which depends on Perl),
but right now it doesn't seem worth the bother since the chunk
splitting functionality of Tartarus also requires Perl. Plus my guess is
that Charon is wanted by the majority of Tartarus users anyway to remove
old backup files.

  Leslie

-- 
Dipl.Ing.(BA) Leslie P. Polzer | CTO - PORT ZERO
UG (haftungsbeschränkt)
Softwareentwicklung & IT Engineering
Adalbertstraße 7/8
10999 Berlin
Tel.: +49 (0)30 - 69 200 907 - 0
Fax: +49 (0)30 - 69 200 907 - 9
http://www.port-zero.com
>From 9415f13c68985fc0d19d0557d9d31387071fe246 Mon Sep 17 00:00:00 2001
From: "Leslie P. Polzer" <[email-masked]>
Date: Thu, 31 Oct 2013 11:22:07 +0100
Subject: [PATCH] testing/tartarus: new aport

A flexible script based backup system
http://wertarbyte.de/tartarus.shtml
---
 testing/tartarus/APKBUILD              | 39 ++++++++++++++++++++++++++++++++++
 testing/tartarus/tartarus.post-install |  7 ++++++
 2 files changed, 46 insertions(+)
 create mode 100644 testing/tartarus/APKBUILD
 create mode 100644 testing/tartarus/tartarus.post-install

diff --git a/testing/tartarus/APKBUILD b/testing/tartarus/APKBUILD
new file mode 100644
index 0000000..5edc45b
--- /dev/null
+++ b/testing/tartarus/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Leslie P. Polzer <[email-masked]>
+# Maintainer: Leslie P. Polzer <[email-masked]>
+pkgname=tartarus
+pkgver=0.9.8
+pkgrel=0
+pkgdesc="A flexible script based backup system"
+url="http://wertarbyte.de/tartarus.shtml"
+arch="noarch"
+license="GPL3"
+depends="perl" # for charon
+makedepends="perl" # pod2man for doc
+subpackages="$pkgname-doc"
+install="$pkgname.post-install"
+source="http://wertarbyte.de/tartarus/tartarus-$pkgver.tar.bz2"
+
+_builddir="$srcdir/tartarus-$pkgver"
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+
+	mkdir -p "$pkgdir"/usr/bin
+	install -m755 bin/* "$pkgdir"/usr/bin
+
+	mkdir -p "$pkgdir"/usr/lib/perl5/vendor_perl
+	cp -rv lib/Tartarus "$pkgdir"/usr/lib/perl5/vendor_perl/
+
+	mkdir -p "$pkgdir"/usr/share/man/man1
+	install -m644 man/*.1 "$pkgdir"/usr/share/man/man1
+
+	chown -R 0:0 "$pkgdir"
+}
+
+md5sums="4aa1cc8b550ded1c77fc50aeef146310  tartarus-0.9.8.tar.bz2"
+sha256sums="cfd3158974e4c331bebf5b9fbf51eb3f884a71d60eaf2c82e8856a150691bcef  tartarus-0.9.8.tar.bz2"
+sha512sums="b879e214924643664e45165b227ceda9723be919854bd867fe11a2c474c1ae3cc9c2206992cb3a75ad02683c8feb44c21f884eb6f354caa398ca0ea9ce9f82d4  tartarus-0.9.8.tar.bz2"
diff --git a/testing/tartarus/tartarus.post-install b/testing/tartarus/tartarus.post-install
new file mode 100644
index 0000000..ddf64f8
--- /dev/null
+++ b/testing/tartarus/tartarus.post-install
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+echo "Optional packages for Tartarus:"
+echo "  * afio: for using afio as archive format"
+echo "  * curl: for storing backups on FTP sites"
+echo "  * lvm2: for snapshot support"
+echo "  * gnupg: for encryption support"
-- 
1.8.4.2

---

From: Natanael Copa <[email-masked]>
Date: Thu, 31 Oct 2013 14:40:59 +0100

On Thu, 31 Oct 2013 11:31:03 +0100

> the desired way of letting the installing user know of optional deps.

I'm ok with it. We should have some kind of notification system in apk
so you can give post install messages properly. I think what you do is
ok for now.

> that Charon is wanted by the majority of Tartarus users anyway to remove

applied as is. Thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---